import React from "react";
import {Button, Card, Col, Dropdown, Menu, message, Modal, Row, Space,} from "antd";
import {DownOutlined, TabletOutlined, UserOutlined} from "@ant-design/icons";

export const Pulsa = () => {

    function handleMenuClick(e) {
        message.info("Click on menu item.");
        console.log("click", e);
    }

    const menu = (
        <Menu onClick={handleMenuClick}>
            <Menu.Item key="1" icon={<UserOutlined/>}>
                1st menu item
            </Menu.Item>
            <Menu.Item key="2" icon={<UserOutlined/>}>
                2nd menu item
            </Menu.Item>
            <Menu.Item key="3" icon={<UserOutlined/>}>
                3rd menu item
            </Menu.Item>
        </Menu>
    );

    function success() {
        Modal.success({
            content: 'some messages...some messages...',
        });
    }

    const dataCard = [
        {
            title: "DATA AXIS BRONET 2GB-60HR",
            price: "Harga : Rp.6.000",
        },
        {
            title: "DATA AXIS BRONET 2GB-60HR",
            price: "Harga : Rp.6.000",
        },
        {
            title: "DATA AXIS BRONET 2GB-60HR",
            price: "Harga : Rp.6.000",
        },
        {
            title: "DATA AXIS BRONET 2GB-60HR",
            price: "Harga : Rp.6.000",
        },
        {
            title: "DATA AXIS BRONET 2GB-60HR",
            price: "Harga : Rp.6.000",
        },
        {
            title: "DATA AXIS BRONET 2GB-60HR",
            price: "Harga : Rp.6.000",
        },
        {
            title: "DATA AXIS BRONET 2GB-60HR",
            price: "Harga : Rp.6.000",
        },
        {
            title: "DATA AXIS BRONET 2GB-60HR",
            price: "Harga : Rp.6.000",
        },
        {
            title: "DATA AXIS BRONET 2GB-60HR",
            price: "Harga : Rp.6.000",
        },
        {
            title: "DATA AXIS BRONET 2GB-60HR",
            price: "Harga : Rp.6.000",
        },
    ]

    return (
        <div>
            <Row>
        <span style={{fontWeight: "bold", marginBottom: "10px"}}>
          Sub-Category
        </span>
            </Row>
            <Row>
                <Space wrap>
                    <Dropdown overlay={menu}>
                        <Button
                            style={{
                                marginBottom: "20px",
                                color: "grey",
                            }}
                        >
                            <TabletOutlined/>
                            Select sub-Category
                            <DownOutlined/>
                        </Button>
                    </Dropdown>
                </Space>
            </Row>
            <Row>
        <span style={{fontWeight: "bold", marginBottom: "10px"}}>
          Produk & Nominal
        </span>
            </Row>
            <Row>
                {dataCard.map((item, index) => (
                    <Col key={index} xs={24} md={16} lg={8}>
                        <Card onClick={success}>
                            <span style={{color: "black"}}>{item.title}</span>
                            <br/>
                            <span style={{color: "grey", fontSize: 10}}>{item.price}</span>
                        </Card>
                    </Col>
                ))}
            </Row>
            <Col style={{textAlign: "right"}}>
                <Button style={{backgroundColor: "#2D9CDB", color: "white"}}>
                    Beli Sekarang
                </Button>
            </Col>
        </div>
  );
};
